#ifndef SPISlave_H
#define SPISlave_H

#define DDR_SPI DDRB
#define DD_MOSI PB3
#define DD_MISO PB4
#define DD_SCK PB5
#define DD_SS PB2


#ifdef __cplusplus
extern "C" {
#endif

void SPI_SlaveInit(void);

void SetCommand(char *data2, int length);

void AllClearCommand(char *symbols, int lenght);
void SetPageCommand(char *symbols, int lenght);
void AddSymbolCommand(char *symbols, int lenght);
void DelSymbolCommand(char *symbols, int lenght);
void DrawPixelCommand(char *symbols, int lenght);
void DrawLineCommand(char *symbols, int lenght);
void DrawCircleCommand(char *symbols, int lenght);
void DrawRectangleCommand(char *symbols, int lenght);
void DrawCharCommand(char *symbols, int lenght);


char CRC8(char *data, int length);
char checkArray(char *arr, int size);

char crc8(char *data, int len);

#ifdef __cplusplus
}
#endif

#endif